[Lunar-commits] r25667 - in moonbase/trunk/web: . yaws yaws/init.d

Stefan Wold ratler at lunar-linux.org
Thu Aug 30 09:51:51 CEST 2007


Author: ratler
Date: 2007-08-30 09:51:51 +0200 (Thu, 30 Aug 2007)
New Revision: 25667

Added:
   moonbase/trunk/web/yaws/
   moonbase/trunk/web/yaws/BUILD
   moonbase/trunk/web/yaws/DEPENDS
   moonbase/trunk/web/yaws/DETAILS
   moonbase/trunk/web/yaws/init.d/
   moonbase/trunk/web/yaws/init.d/yaws
   moonbase/trunk/web/yaws/yaws
Log:
Initial import of YAWS, a web server written in erlang

Added: moonbase/trunk/web/yaws/BUILD
===================================================================
--- moonbase/trunk/web/yaws/BUILD	                        (rev 0)
+++ moonbase/trunk/web/yaws/BUILD	2007-08-30 07:51:51 UTC (rev 25667)
@@ -0,0 +1,9 @@
+(
+
+  default_build &&
+
+  if [ ! -e /etc/config.d/yaws ]; then
+      install -p -m 644 $SCRIPT_DIRECTORY/yaws /etc/config.d/yaws
+  fi
+
+) > $C_FIFO 2>&1

Added: moonbase/trunk/web/yaws/DEPENDS
===================================================================
--- moonbase/trunk/web/yaws/DEPENDS	                        (rev 0)
+++ moonbase/trunk/web/yaws/DEPENDS	2007-08-30 07:51:51 UTC (rev 25667)
@@ -0,0 +1 @@
+depends erlang

Added: moonbase/trunk/web/yaws/DETAILS
===================================================================
--- moonbase/trunk/web/yaws/DETAILS	                        (rev 0)
+++ moonbase/trunk/web/yaws/DETAILS	2007-08-30 07:51:51 UTC (rev 25667)
@@ -0,0 +1,20 @@
+          MODULE=yaws
+         VERSION=1.68
+          SOURCE=${MODULE}-${VERSION}.tar.gz
+      SOURCE_URL=http://yaws.hyber.org/download/
+SOURCE_DIRECTORY=$BUILD_DIRECTORY/$MODULE-$VERSION
+      SOURCE_VFY=sha1:699de1f0ead3dcb6d68ad87d66a4b36a8e180170
+        WEB_SITE="http://yaws.hyber.org/"
+         ENTERED=20070830
+         UPDATED=20070830
+           SHORT="A HTTP high perfomance 1.1 webserver particularly well suited for dynamic-content webapplications."
+cat <<EOF
+Yaws is entirely written in Erlang furthermore it is a multithreaded
+webserver where one Erlang light weight process is used to handle
+each client.
+
+The main advantages of yaws compared to other Web technologies are
+performance and elegance. The performance comes from the underlying
+Erlang system and its ability to handle concurrent processes in an
+efficent way.
+EOF

Added: moonbase/trunk/web/yaws/init.d/yaws
===================================================================
--- moonbase/trunk/web/yaws/init.d/yaws	                        (rev 0)
+++ moonbase/trunk/web/yaws/init.d/yaws	2007-08-30 07:51:51 UTC (rev 25667)
@@ -0,0 +1,41 @@
+#!/bin/bash
+#
+# Startup script for YAWS web server
+#
+# chkconfig: 345 85 15
+# description: A HTTP high perfomance 1.1 webserver particularly well suited \
+#              for dynamic-content webapplications.
+# config: /etc/yaws.conf
+# config: /etc/config.d/yaws
+
+. /etc/config.d/yaws
+
+start ()
+{
+    echo -n "Starting YAWS: "
+    /usr/bin/yaws $OPTIONS --id $ID &&
+    echo -e $RESULT_OK || echo -e $RESULT_FAIL
+}
+
+stop ()
+{
+    echo -n "Stopping YAWS: "
+    /usr/bin/yaws --stop --id $ID &&
+    echo -e $RESULT_OK || echo -e $RESULT_FAIL
+}
+
+reload ()
+{
+    echo -n "Reloading YAWS: "
+    /usr/bin/yaws --hup --id $ID &&
+    echo -e $RESULT_OK || echo -e $RESULT_FAIL
+}
+
+status ()
+{
+    echo -n "Status for YAWS: "
+    /usr/bin/yaws -ls
+    /usr/bin/yaws --status --id $ID
+}
+
+. /lib/lsb/init-functions


Property changes on: moonbase/trunk/web/yaws/init.d/yaws
___________________________________________________________________
Name: svn:executable
   + *

Added: moonbase/trunk/web/yaws/yaws
===================================================================
--- moonbase/trunk/web/yaws/yaws	                        (rev 0)
+++ moonbase/trunk/web/yaws/yaws	2007-08-30 07:51:51 UTC (rev 25667)
@@ -0,0 +1,2 @@
+OPTIONS="--daemon --heart"
+ID="default"



More information about the Lunar-commits mailing list